PukiwikiでRSSを表示させているのですが、RSSの出力が文字化けして困っています(リロードすると直ることもある)

RSSが「shift-JIS(でRSS2.0のようです)」なので文字コードの自動識別に失敗したときにばけるのではと思いますが、htmlファイルの一部の文字コードだけを指定するタグとかありますか?
【URL】
http://f58.aaa.livedoor.jp/~garyo/RSS/pukiwiki.php?%5B%5B%A3%B2%A3%E3%A3%E8%A5%CB%A5%E5%A1%BC%C2%AE%5D%5D
【症状】
[速+] 【米国】ホワイトハウス(米大統領府)の定例会見にブロッガー参加
↓(文字化け)
[漕{] 【葡拒】ホワイトハウス(葡上3摎俣{)v蝉甫)・・・uロッガーQ苑ワ/a>

回答の条件
  • URL必須
  • 1人2回まで
  • 登録:2005/03/08 12:03:54
  • 終了:--

回答(4件)

id:genb No.1

いど回答回数24ベストアンサー獲得回数02005/03/08 13:08:33

ポイント20pt

該当URLのヘッダが

<meta http-equiv=”content-type” content=”text/html; charset=euc-jp”>

となっており

呼び出している先のエンコードと、呼び出している元のエンコードが違うために文字化けしています。

エンコード形式を合わせれば文字化けが解消できるはずです。

id:garyo

ありがとうございます。

メタタグであわせると、RSS部以外の部分が文字化けしないでしょうか?EUCとS-JISが混在しているので困っています。

2005/03/08 13:25:18
id:FMR No.2

FMR回答回数406ベストアンサー獲得回数02005/03/08 13:45:56

ポイント20pt

http://www.mozilla.gr.jp/forums/?mode=al2&namber=2590&rev=&0&KLO...

もじら組フォーラム [One Topic All View / Re[7]: うまく表示できませんでした / Page: 0]

文字コードは統一するしかないようです

------------------------------------

複数の文字コードが利用されているとか、それが

どこからどこまでが Shift_JIS で、どこ以降が EUC-JPだ

というような範囲情報を宣言する方法がありません。

----------------------------------

id:garyo

ありがとうございます。

RSS出力の文字コードは出力する側が決めるのでしょうね。

こちらでは文字化けしないのですが、pukiwikiのバージョンにも依存するのでしょうか。

http://garyo.boy.jp/SBM/index.php?%A3%B2%A3%E3%A3%E8%A5%CB%A...

こちらはpukiwiki ver1.4.5で文字化けするほうはpukiwiki ver1.3.7です。

2005/03/08 14:40:55
id:genb No.3

いど回答回数24ベストアンサー獲得回数02005/03/08 15:22:53

ポイント40pt

>extension=php_mbstring.dll

>行がコメントアウトされていないかどうか確認してください。確かデフォルトではコメントアウトされた状態だったと思います。

上記を確認してみてください

id:garyo

ありがとうございます。

php.iniの変更ですか。無料レンタルサーバーなのですが、変更は可能ですか?

2005/03/08 16:34:31
id:cx20 No.4

cx20回答回数607ベストアンサー獲得回数1082005/03/08 15:51:19

ポイント40pt

外してたらすみません。

恐らく、サーバー側の PHP に mbstring が組み込まれていない為、

文字化けしているのではないでしょうか?

mbstring が導入されているかどうかは、

phpinfo() を実行してみると分かります。

phpinfo() の動作手順は↓下記を参照してみてください。

()

ただ、PukiWiki の 1.4 以上からは、

mbstring 関数を模擬する「mbstring.php」モジュールが

用意されたようなので、最新版を導入すれば、特に気にする必要は

ないかもしれません。

ちなみに、自分のところで、RSS の表示を試してみましたが、

特に文字化けはしないようです。

PukiWiki 1.4.4

PHP Version 4.3.8 / mbstring : Enable

id:garyo

ありがとうございます。

phpinfoはセキュリティ上の問題で使えないみたいでした。

Warning: phpinfo() has been disabled for security reasons in …

別なサーバーで動かしたpukiwiki ver1.4.5では文字化けしないことと話が合います。広告が入るサーバーではpukiwikiの1.3.x系が良いと書いてあったので古いのを使っていました。

文字化けする所だけ新しいバージョンのpukiwikiでやってみます。

ありがとうございました。

2005/03/08 16:45:25

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません